:root {
  --yellow: #eca620;
  --blue: #1c7dca;
  --background: #dce3ec;
}

html {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-size: 10px;
  font-family: 'Roboto', sans-serif;
}

*,
*:before,
*:after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

.container {
  display: grid;
  grid-template-columns: 235px 1fr;
  grid-template-rows: 15rem 2fr;
  height: 100vh;
}

.side-panel {
  grid-area: 1 / 1 / 3 / 2;
  background-color: var(--blue);
  display: grid;
  grid-template-rows: 50px 25px repeat(6, 45px) 25px repeat(3, 45px);
}

.page-item-container {
  display: grid;
  grid-template-columns: 1fr 4fr;
  font-size: 1.6rem;
  color: white;
  align-items: center;
  gap: 5px;
}

.dashboard-title {
  font-size: 2.4rem;
}

.dashboard .icon {
  height: 3rem;
}

.header {
  grid-area: 1 / 2 / 2 / -1;
  display: grid;
  grid-template: 1fr 1fr / 1fr 1fr;
  justify-content: center;
  align-items: center;
}

.main {
  grid-area: 2 / 2 / 3 / -1;
  background: var(--background);
  display: grid;
  grid-template-columns: 2fr 1fr;
  grid-template-rows: 1fr 1fr;
}

.profile-image {
  border-radius: 50%;
  height: 3rem;
  width: auto;
}

.icon {
  justify-self: center;
  height: 2rem;
  padding: 0 0.5rem;
}

.search-area {
  display: grid;
  grid-template-columns: 2rem 1fr;
  gap: 1.5rem;
  margin-left: 1.5rem;
  align-items: center;
}

#search {
  height: 2.5rem;
  width: 45rem;
  border-radius: 10px;
  border: none;
  background-color: var(--background);
}

.button {
  height: 2.7rem;
  width: 7rem;
  color: white;
  background-color: var(--blue);
  border: none;
  border-radius: 20px;
  margin: 0 0.5rem;
}

.user-area {
  display: grid;
  grid-template-columns: 2rem 3rem 1fr;
  gap: 1.5rem;
  align-items: center;
  font-size: 1.4rem;
  margin-left: 4rem;
}

.welcome-message {
  display: grid;
  grid-template: 1fr 1fr / 8rem 1fr;
  margin-left: 1.5rem;
  align-items: center;
  font-size: 1.4rem;
}

.main-profile-image {
  height: 6rem;
  width: 6rem;
  grid-area: 1 / 1 / -1 / 2;
  margin: 0 auto;
}

.user-welcome {
  font-size: 20px;
  margin: 0;
}

.card {
  background-color: white;
  border-left: 5px solid var(--yellow);
  border-radius: 10px;
  height: 25rem;
  font-size: 1.4rem;
  display: grid;
  grid-template: repeat(2, 1fr) / repeat(2, 1fr);
}

.card-content {
  grid-area: 1 / 1 / 2 / -1;
  margin: 2rem;
}

.card-title {
  margin-bottom: 1.5rem;
}

.card-description {
  font-size: 1.6rem;
}

.card-controls {
  grid-area: 2 / 2 / 3 / -1;
  justify-self: end;
  align-self: end;
  margin: 2rem;
}

.card-controls img {
  margin: 0 0.5rem;
  height: 2.5rem;
  width: auto;
}

.projects-heading,
.announcements-heading,
.trending-heading {
  grid-area: 1 / 1 / 2 / -1;
  align-self: center;
  margin: 2rem 0 1rem;
}

.projects-container {
  grid-area: 1 / 1 / 3 / 2;
  margin: 0 1.5rem;
}

.projects {
  display: grid;
  grid-template: repeat(3, 1fr) / repeat(2, 1fr);
  gap: 2rem;
}

.announcements-content {
  grid-area: 1 / 2 / 2 / 3;
  display: grid;
  grid-template-rows: 1fr 10px 1fr 10px 1fr;
  width: 40rem;
  background-color: white;
  border-radius: 10px;
  padding: 2rem;
  font-size: 1.6rem;
}

.border {
  height: 1px;
  border: 0.5px solid rgba(0, 0, 0, 0.6);
}

.announcement-title {
  margin: 1px 0;
}

.announcement {
  margin-bottom: 2rem;
}

.trending-container {
  grid-area: 2 / 2 / 3 / -1;
}

.trending {
  display: grid;
  grid-template: repeat(4, 1fr);
  gap: 2rem;
  width: 40rem;
  background-color: white;
  border-radius: 10px;
  padding: 2rem;
  font-size: 1.6rem;
}

.trending-project {
  display: grid;
  grid-template-columns: 3rem 1fr;
  gap: 2rem;
}

.trending-project img {
  align-self: center;
}
